EDIT - feature request #8028

Better representation of web app media in the image gallery
01/28/2019 01:05 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.26

Severity: normal

Description

nicht dringend:

Das ist ein Link auf eine URL bei Tropicos — ist wohl ein Image Server.

Wird hier automatisch ein Thumbnail erzeugt, wenn das eine Datei ist? Daher die Box?

Waére natirlich schén, wenn die in diesem Fall nicht gezeigt wirde, sondern nur der Link.

Aber wenn man den Platz schon hat, Text besser:

[Link to external Multimedia Server] und in Spanisch [Vinculo — servidor de multimedia externo]

Ich finde es wichtig, hier auf das ,extern“ hinzuweisen — da kdnnte ja etwas los sein, fir das wir nicht verantwortlich sind.
Dariliber missen wir noch mal nachdenken — gilt im Prinzip tberall.

Onoseris donnell-smithii

General Imagenes c

Onoseris donnell-smithii (J.M.Coult.) Ferreyra in J. Arnold Arbor. 2f

= Pereziopsis donnell-smithil J.M.Coult. in Bot. Gaz. 20(2). 53, 1

Muestras de herbario (texto)
Santa Ana: P. C. Standley 19701 (M)

Web Application

Standley, Paul Carpenter - 19701

Herzlichen Gruf3
Walter

Recent thoughts on this topic have been originally recorded in #9548 and have been moved to here:

"Handling of webapp URIs already works in the simple image gallery. The only problem there is the link, which opens the overlay
viewer. This should be disabled and the label "Open Image" should be named "Open external web page™
https://dev.e-taxonomy.eu/redmine/issues/9548
disabled werden.

Holotype (B) JSOR Webapp

Funktioniert nicht im Overlay und sollte

Open image :Qpen imagg

Offnet den JSTOR Viewer

Related issues:

Related to EDIT - task #5083: Alternative image viewer for dataportal Closed
Related to EDIT - feature request #9548: Handle links to websites, webapps or... New
Related to EDIT - feature request #3630: Taxeditor should add mimetype of med... New
Related to EDIT - feature request #9067: [DISCUSS] Allow media to support ext... Closed
Copied to EDIT - bug #9775: Open issues for web app media in the image gallery New

Associated revisions

Revision 9f07f8ae - 07/21/2021 05:49 PM - Andreas Kohlbecker

ref #8028 support wor web-apps in media gallery
- refactoring procedural code to classes
- better differentiation of thumbnail-, full-size-image and web-app

History

#1 - 01/28/2019 01:05 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#2 - 01/28/2019 01:27 PM - Andreas Kohlbecker

diese Box erscheint weil hier der externe Link in die Media/Image Gallery eingebettet ist.

Bislang sind nur Bilder komplett implementiert andere Medientypen aber nur sehr rudimentér unterstitzt. Audio und Video sollen direkt in dieser Box
abgespielt werden kdnnen, externe Services per Preview-Thumbnail oder per IFrame angezeigt oder verfigbar gemacht werden.

Das ist alles geplant und angedacht aber bisher aus Zeit- und anderen Griinden noch nicht implementiert.

#3 - 01/29/2019 04:30 PM - Andreas Kohlbecker

- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 5.6

- % Done changed from 0 to 10

ich habe den Linktext in "Link to external media resource or web application" geéndert.

Dein Vorschlag [Link to external Multimedia Server] deckt nach meiner Auffassung nicht den Fall ab, dass der Link auf eine Webapplikation
verweisen kann.

Daher habe ich eine allgemeinere Formlulierung gewahlt.
Die Ubersetzung [Vinculo — servidor de multimedia externo] passt jetzt natiirlich nicht, hierfiir brauchen wir einen neue Ubersetztung.

#4 - 02/22/2019 05:27 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#5 - 02/22/2019 05:28 PM - Andreas Kohlbecker
- Target version changed from Release 5.6 to Reviewed Next Major Release

#6 - 12/10/2019 05:23 PM - Andreas Kohlbecker
- Related to task #5083: Alternative image viewer for dataportal added

#7 - 12/10/2019 05:24 PM - Andreas Kohlbecker
Alternative suggestion from Walter [06.12.19]:

Am wichtigsten wére es mir, den grauen Kasten loszuwerden (das finde ich generell schrecklich, auch z.B. im Cichorieae Portal auf der Hauptseite).
Am liebsten wére mir eine einzige Zeile (ggf. umgebrochen) mit dem Fakten-Text, gefolgt von ,External link: “ + Titel + + weitere also hier:

Santa Ana: P. C. Standley 19701 (MO). External link(s): Specimen image Standley 19701 (MO).

[Spanisch: Enlace externo]

Ist zwar immer noch ein bisschen holprig, aber generell nutzbar, denke ich. Der Link kann dabei wie bisher hinter External link liegen, dann muss man
das ggf. wiederholen, falls mehrere Links vorhanden sind. Schéner war’s, wenn man ,link(s)“ [,enlace(s)) sagen kénnte und der Hyperlink hinter dem
Titel liegen wiirde.

Das mit der Einzeiligkeit ist auch in sofern gut, als das das ja zuklnftig ganze Listen werden kénnen, dann ist die jetzige Ausgabe definitiv sehr
klobig.

Im Images-Tab wirde ich das eher einsehen, weil es hier ja auch echte image-previews gibt - wenn denn hier die Bilder nebeneinander stehen
wirden. Aber den extra-Link ,Abrir imagen*“ verstehe ich auch hier nicht. Bei Photos &ffnet er den Image-Viewer, ein direkter Klick auf das Photo den
Link?

#8 - 12/10/2019 05:25 PM - Andreas Kohlbecker

- Status changed from In Progress to New

#9 - 12/10/2019 11:56 PM - Andreas Miiller

AM:

Grundsatzlich sollten wir zwischen wirklichen Media und ExternalLinks unterscheiden. Das sind 2 Dinge, Media kénnen wir bei uns einbinden, haben
verschiedene Representations, sind i.d.R. Files oder Applicationen. Links sind einfach externe Webseiten, auf die wir verlinken.

Modellseitig gibt es das bereits, allerdings nur fiir Sourcen, fur Bilder und andere Objekte miissen wir noch sehen, wie wir die bestehende Klasse am
besten im Modell verlinken. Aber es sollte dann dahin gehen, dass man ENTWEDER ein Media ODER einen externen Link einbinden kann. Das nur

Uber den Mime Type zu machen ist generell zu fehleranféllig und verlangt Spezialwissen. Aber beim anstehenden Refakturieren des
Imagegallery/Media Bereichs sollten wir das auch beachten.

Wenn man diesen Unterschied hat, kann man dann auch klar zwischen Bildern, die in der Gallery angezeigt werden kénnen, und externen Links mit
Erklarung, die als reiner Text, wie von dir vorgeschlagen, dargestellt werden kdnnen.

Primar stellt sich zunachst die Frage, ob der URL wirklich auf die Webseite mit dem BHL-BookViewer verweisen soll? Ich denke, dass das
gewlnscht ist. Dann sollte zunachst der Mimetype auf "text/html" angepasst werden. Der Editor bietet hierzu keine Editierméglichkeit, daher
musste das in der DB erfolgen.

Warum das nur in der DB gehen soll, habe ich nicht verstanden. Im Advanced View kannst du den MimeType auch im Editor bearbeiten (wenn du
weift, was du machen musst).

#10 - 07/20/2021 12:59 PM - Andreas Kohlbecker

- Related to feature request #9548: Handle links to websites, webapps or similar in image galleries (simple and UV) added

#11 - 07/20/2021 12:59 PM - Andreas Kohlbecker
- Tags set to mexico_ws, mexico

- Target version changed from Reviewed Next Major Release to Release 5.45

#12 - 07/20/2021 01:07 PM - Andreas Kohlbecker

- Related to feature request #3630: Taxeditor should add mimetype of mediaRepresentations automatically added
#13 - 07/20/2021 02:44 PM - Andreas Kohlbecker
- Subject changed from DISCUSS better representation of web app media in the image gallery to better representation of web app media in the image

gallery

#14 - 07/21/2021 05:55 PM - Andreas Kohlbecker
- Description updated
- Status changed from New to In Progress

- % Done changed from 10 to 30

#15 - 07/21/2021 06:16 PM - Andreas Kohlbecker
- File picture156-1.png added

| implemented a solution which is at least suitable for specimens:
Accessioning

Still Image
still Image
Collection M

Media
#16 - 07/22/2021 01:53 PM - Andreas Kohlbecker
- File picture754-1.png added

- Description updated

#17 - 08/02/2021 03:01 PM - Andreas Kohlbecker

- Status changed from In Progress to Closed
- Target version changed from Release 5.45 to Release 5.26

- % Done changed from 30 to 100

I think the solution to this issue is sufficient by now. Once we decided for an alternative solution we can create a new ticket for the wen requirements.
Closing this one here as solved meanwhile.

#18 - 09/02/2021 12:49 AM - Andreas Muller

- File picture074-1.png added

- Subject changed from better representation of web app media in the image gallery to Better representation of web app media in the image gallery
- Status changed from Closed to Feedback

- % Done changed from 100 to 80

| tried this with taxon media (the original usecase from the description of this ticket).

On caryo_spp /test server | entered media data for Achatocarpus balansae (
https://test.e-taxonomy.eu/dataportal/preview/caryophyllales_spp/cdm_dataportal/taxon/4f942908-d688-4b62-bb36-ae799455de5d)

The result looks like this:

Images

html for search result /viewer / ]STOR html for single

JSTOR Open external page @ SPecimen /JSTOR

Open external page & Open external page &

self-reference html for single

Open external page @ specimen2 /STOR

Open external page &

The links | used were:

1. https://plants.jstor.org/search?filter%3dname%26s0%3dps_group_by genus_species%2basc%26Query%3dAchatocarpus%20balansae
2. https://plants.jstor.org/stable/viewer/10.5555/al.ap.specimen.goet008762
3. https://plants.jstor.org/stable/10.5555/al.ap.specimen.goet008762?searchUri=filter%3Dname%26s0%3Dps_ by_genus_species%2Basc%

26Query%3DAchatocarpus%2520balansae
4. https://test.e-taxonomy.eu/dataportal/preview/caryophyllales_spp/cdm_dataportal/taxon/4f942908-d688-4b62-bb36-ae799455de5d

5.same as 3.

For me there are some issues:

1. The links for the "icons" linked to https://test.e-taxonomy.eu/dataportal/preview/caryophyllales_spp/
2. Klick on "Open external page" for image 1 opens "https:/plants.jstor.org/search" which differs from the persisted link

3. The position of the label "Open external page" for image 2. and 4. (I would expect them in the same line as those for the other images in the
same table line
4. Empty area for link 4.
https://test.e-taxonomy.eu/dataportal/preview/caryophyllales_spp/cdm_dataportal/taxon/4f942908-d688-4b62-bb36-ae799455de5d
https://plants.jstor.org/search?filter%3dname%26so%3dps_group_by_genus_species%2basc%26Query%3dAchatocarpus%20balansae
https://plants.jstor.org/stable/viewer/10.5555/al.ap.specimen.goet008762
https://plants.jstor.org/stable/10.5555/al.ap.specimen.goet008762?searchUri=filter%3Dname%26so%3Dps_group_by_genus_species%2Basc%26Query%3DAchatocarpus%2520balansae
https://plants.jstor.org/stable/10.5555/al.ap.specimen.goet008762?searchUri=filter%3Dname%26so%3Dps_group_by_genus_species%2Basc%26Query%3DAchatocarpus%2520balansae
https://test.e-taxonomy.eu/dataportal/preview/caryophyllales_spp/cdm_dataportal/taxon/4f942908-d688-4b62-bb36-ae799455de5d
https://test.e-taxonomy.eu/dataportal/preview/caryophyllales_spp/
https://plants.jstor.org/search

5. The icon is not very sharp (as it is probably the icon for the browser tab(?) which is usually much smaller)
Can you also leave a link for your above specimens examples? Can they be tested somewhere?

#19 - 09/02/2021 12:53 AM - Andreas Miiller

Is there a follow-up or a already-handled-in ticket for the missing metadata issue?

#20 - 09/17/2021 04:52 PM - Andreas Miiller

Should we create new ticket(s) for the open issues or should we move this ticket to an upcoming milestone.
As it is the last open ticket in 5.26 it would be nice either close it or move it and close the milestone afterwards.

#21 - 09/20/2021 03:25 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

please create a new ticket with the results of your experiments. Your findings need more time to discuss them properly.
We can close this ticket here, once the follow up ticket is created.

#22 - 09/20/2021 03:41 PM - Andreas Miiller
- Copied to bug #9775: Open issues for web app media in the image gallery added

#23 - 09/20/2021 03:42 PM - Andreas Miiller
- Status changed from Feedback to Closed
- Assignee changed from Andreas Miller to Andreas Kohlbecker

- % Done changed from 80 to 100

I moved the open issues handling to new ticket #9775

#24 - 09/21/2021 09:10 AM - Andreas Miiller
- Related to feature request #9067: [DISCUSS] Allow media to support external links not being files added

#25 - 07/30/2022 06:55 PM - Andreas Miiller

- Tags changed from mexico_ws, mexico to mexico_ws, mexico, media

Files

picture071-1.png 20.1 KB 01/28/2019 Andreas Kohlbecker
picture156-1.png 261 KB 07/21/2021 Andreas Kohlbecker
picture754-1.png 72.9 KB 07/22/2021 Andreas Kohlbecker
picture074-1.png 125 KB 09/01/2021 Andreas Miller
https://dev.e-taxonomy.eu/redmine/issues/9775
